Subject: Re: 29.0.60; keymap-local-set and keymap-global-set became less strict

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 31 Jan 2023 04:42:25 +0100

Daniel Mendler <[email-masked]> writes:

> There was an old commit by Stefan Monnier, where he relaxed the API, but
> Lars made it clear back then that it is better to only accept a single
> format for the keymap API, such that guidance for the user is better due
> to clear error messages.

Yes, that was kinda the point of the whole keymap-* thing.  If there's
one clear syntax, it makes many "but will this work, then?" problems
users have go away -- there's a lot of trial and error involved
currently.

In addition, having one single syntax allows people to grep for bindings
etc -- when exploring the source code, they can isearch for `C-c C-k'
(or whatever) exactly and reliably find the command they're looking for
that way (eventually).

So keymap-local-set and keymap-global-set should be fixed to be strict
again, otherwise there's not much point to the entire `keymap-*'
exercise.